[Lunar-commits] ifplugd: Remove init script. Rearrange DETAILS file.

Moritz Heiber moe at lunar-linux.org
Fri Feb 8 14:01:22 CET 2008


commit 0bba3534871fe8fd36cfcd5bc155ce598f5995cf
Author: Moritz Heiber <moe at lunar-linux.org>
Date:   Fri Feb 8 14:01:22 2008 +0100

    ifplugd: Remove init script. Rearrange DETAILS file.
    
    We still want to keep the init script (incase somebody doesn't like lnet)
    but we do not want to have it interfering with our network script by default
    (network starts a ifplugd daemon per-interface).
    
    Also, whoever wrote the DETAILS file must've been on crack or something.
---
 net/ifplugd/BUILD          |    3 +-
 net/ifplugd/DETAILS        |    7 +--
 net/ifplugd/ifplugd        |  112 ++++++++++++++++++++++++++++++++++++++++++++
 net/ifplugd/init.d/ifplugd |  112 --------------------------------------------
 4 files changed, 117 insertions(+), 117 deletions(-)

diff --git a/net/ifplugd/BUILD b/net/ifplugd/BUILD
index 7552ef3..6183e2d 100644
--- a/net/ifplugd/BUILD
+++ b/net/ifplugd/BUILD
@@ -4,6 +4,7 @@
   sedit "24i #include <sys/types.h>" src/interface.c
   default_build &&
 
-  install -m0750 $SCRIPT_DIRECTORY/ifplugd-lunar.action /etc/ifplugd/
+  install -m0750 $SCRIPT_DIRECTORY/ifplugd-lunar.action /etc/ifplugd/ &&
+  install -m0755 $SCRIPT_DIRECTORY/ifplugd /etc/init.d/
 
 ) > $C_FIFO 2>&1
diff --git a/net/ifplugd/DETAILS b/net/ifplugd/DETAILS
index 298898e..9652ea8 100644
--- a/net/ifplugd/DETAILS
+++ b/net/ifplugd/DETAILS
@@ -1,10 +1,9 @@
           MODULE=ifplugd
          VERSION=0.28
-             PKG=${MODULE}-${VERSION}
-          SOURCE=${PKG}.tar.gz
-        WEB_SITE=http://0pointer.de/lennart/projects/${MODULE}/
-      SOURCE_URL=${WEB_SITE}
+          SOURCE=${MODULE}-${VERSION}.tar.gz
+      SOURCE_URL=http://0pointer.de/lennart/projects/ifplugd/
       SOURCE_VFY=sha1:0f00e6b544c0b7ed6c66fc58cb74f038d3fba77a
+        WEB_SITE=http://0pointer.de/lennart/projects/ifplugd/
          ENTERED=20060317
          UPDATED=20070407
            SHORT="a daemon which automatically configures your ethernet device"
diff --git a/net/ifplugd/ifplugd b/net/ifplugd/ifplugd
new file mode 100644
index 0000000..ca742c1
--- /dev/null
+++ b/net/ifplugd/ifplugd
@@ -0,0 +1,112 @@
+#!/bin/bash
+# $Id: ifplugd.init.in 86 2004-01-26 15:34:24Z lennart $
+
+# This file is part of ifplugd.
+#
+# ifplugd is free software; you can redistribute it and/or modify it under
+# the terms of the GNU General Public License as published by the Free
+# Software Foundation; either version 2 of the License, or (at your
+# option) any later version.
+#
+# ifplugd is distributed in the hope that it will be useful, but WITHOUT
+# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
+# FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License
+# for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with ifplugd; if not, write to the Free Software Foundation,
+# Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA.
+
+# ifplugd      Brings up/down network automatically
+#
+# chkconfig: 2345 11 89
+# description: Brings networks interfaces up and down automatically when \
+#              the cable is removed / inserted
+#
+# processname: /usr/sbin/ifplugd
+# config: /etc/ifplugd/ifplugd.conf
+
+### BEGIN INIT INFO
+# Provides:          ifplugd
+# Required-Start:    $network
+# X-UnitedLinux-Should-Start:
+# Required-Stop:     $network
+# X-UnitedLinux-Should-Stop: $
+# Default-Start:     3 5
+# Default-Stop:      0 1 2 6
+# Short-Description: ifplugd daemon
+# Description:       Start ifplugd
+### END INIT INFO
+
+ARGS="-r /etc/ifplugd/ifplugd-lunar.action"
+
+CFG=/etc/ifplugd/ifplugd.conf
+
+IFPLUGD=/usr/sbin/ifplugd
+test -x $IFPLUGD || exit 0
+
+if [ `id -u` != "0" ] && [ "$1" = "start" -o "$1" = "stop" ] ; then
+  echo "You must be root to start, stop or restart ifplugd."
+  exit 1
+fi
+
+[ -f $CFG ] && . $CFG
+
+VERB="$1"
+shift
+
+[ "x$*" != "x" ] && INTERFACES="$*"
+
+[ "x$INTERFACES" = "xauto" ] && INTERFACES="`cat /proc/net/dev | awk '{ print $1 }' | egrep '^(eth|wlan)' | cut -d: -f1`"
+
+case "$VERB" in
+    start)
+        echo -n "Starting Network Interface Plugging Daemon:"
+        for IF in $INTERFACES ; do
+            A="`eval echo \$\{ARGS_${IF}\}`"
+            [ -z "$A" ] && A="$ARGS"
+            $IFPLUGD -i $IF $A
+            echo -n " $IF"
+        done
+        echo "."
+        ;;
+    stop)
+        echo -n "Stopping Network Interface Plugging Daemon:"
+        for IF in $INTERFACES ; do
+            $IFPLUGD -k -i $IF
+            echo -n " $IF"
+        done
+        echo "."
+        ;;
+    status)
+        for IF in $INTERFACES ; do
+            $IFPLUGD -c -i $IF
+        done
+        ;;
+    suspend)
+        echo -n "Suspending Network Interface Plugging Daemon:"
+        for IF in $INTERFACES ; do
+            $IFPLUGD -S -i $IF
+            echo -n " $IF"
+        done
+        echo "."
+        ;;
+    resume)
+        echo -n "Resuming Network Interface Plugging Daemon:"
+        for IF in $INTERFACES ; do
+            $IFPLUGD -R -i $IF
+            echo -n " $IF"
+        done
+        echo "."
+        ;;
+    force-reload|restart)
+        $0 stop $INTERFACES
+        sleep 3
+        $0 start $INTERFACES
+        ;;
+    *)
+        echo "Usage: $0 {start|stop|restart|force-reload|status|suspend|resume}"
+        exit 1
+esac
+
+exit 0
diff --git a/net/ifplugd/init.d/ifplugd b/net/ifplugd/init.d/ifplugd
deleted file mode 100644
index ca742c1..0000000
--- a/net/ifplugd/init.d/ifplugd
+++ /dev/null
@@ -1,112 +0,0 @@
-#!/bin/bash
-# $Id: ifplugd.init.in 86 2004-01-26 15:34:24Z lennart $
-
-# This file is part of ifplugd.
-#
-# ifplugd is free software; you can redistribute it and/or modify it under
-# the terms of the GNU General Public License as published by the Free
-# Software Foundation; either version 2 of the License, or (at your
-# option) any later version.
-#
-# ifplugd is distributed in the hope that it will be useful, but WITHOUT
-# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
-# FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License
-# for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with ifplugd; if not, write to the Free Software Foundation,
-# Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA.
-
-# ifplugd      Brings up/down network automatically
-#
-# chkconfig: 2345 11 89
-# description: Brings networks interfaces up and down automatically when \
-#              the cable is removed / inserted
-#
-# processname: /usr/sbin/ifplugd
-# config: /etc/ifplugd/ifplugd.conf
-
-### BEGIN INIT INFO
-# Provides:          ifplugd
-# Required-Start:    $network
-# X-UnitedLinux-Should-Start:
-# Required-Stop:     $network
-# X-UnitedLinux-Should-Stop: $
-# Default-Start:     3 5
-# Default-Stop:      0 1 2 6
-# Short-Description: ifplugd daemon
-# Description:       Start ifplugd
-### END INIT INFO
-
-ARGS="-r /etc/ifplugd/ifplugd-lunar.action"
-
-CFG=/etc/ifplugd/ifplugd.conf
-
-IFPLUGD=/usr/sbin/ifplugd
-test -x $IFPLUGD || exit 0
-
-if [ `id -u` != "0" ] && [ "$1" = "start" -o "$1" = "stop" ] ; then
-  echo "You must be root to start, stop or restart ifplugd."
-  exit 1
-fi
-
-[ -f $CFG ] && . $CFG
-
-VERB="$1"
-shift
-
-[ "x$*" != "x" ] && INTERFACES="$*"
-
-[ "x$INTERFACES" = "xauto" ] && INTERFACES="`cat /proc/net/dev | awk '{ print $1 }' | egrep '^(eth|wlan)' | cut -d: -f1`"
-
-case "$VERB" in
-    start)
-        echo -n "Starting Network Interface Plugging Daemon:"
-        for IF in $INTERFACES ; do
-            A="`eval echo \$\{ARGS_${IF}\}`"
-            [ -z "$A" ] && A="$ARGS"
-            $IFPLUGD -i $IF $A
-            echo -n " $IF"
-        done
-        echo "."
-        ;;
-    stop)
-        echo -n "Stopping Network Interface Plugging Daemon:"
-        for IF in $INTERFACES ; do
-            $IFPLUGD -k -i $IF
-            echo -n " $IF"
-        done
-        echo "."
-        ;;
-    status)
-        for IF in $INTERFACES ; do
-            $IFPLUGD -c -i $IF
-        done
-        ;;
-    suspend)
-        echo -n "Suspending Network Interface Plugging Daemon:"
-        for IF in $INTERFACES ; do
-            $IFPLUGD -S -i $IF
-            echo -n " $IF"
-        done
-        echo "."
-        ;;
-    resume)
-        echo -n "Resuming Network Interface Plugging Daemon:"
-        for IF in $INTERFACES ; do
-            $IFPLUGD -R -i $IF
-            echo -n " $IF"
-        done
-        echo "."
-        ;;
-    force-reload|restart)
-        $0 stop $INTERFACES
-        sleep 3
-        $0 start $INTERFACES
-        ;;
-    *)
-        echo "Usage: $0 {start|stop|restart|force-reload|status|suspend|resume}"
-        exit 1
-esac
-
-exit 0


More information about the Lunar-commits mailing list